﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.ANDREANI_EstadoEnviosService {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Pieza", Namespace="http://www.andreani.com.ar/req")]
    [System.SerializableAttribute()]
    public partial class Pieza : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string NroPiezaField;
        
        private string NroAndreaniField;
        
        private string CodigoClienteField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, EmitDefaultValue=false)]
        public string NroPieza {
            get {
                return this.NroPiezaField;
            }
            set {
                if ((object.ReferenceEquals(this.NroPiezaField, value) != true)) {
                    this.NroPiezaField = value;
                    this.RaisePropertyChanged("NroPieza");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, EmitDefaultValue=false, Order=1)]
        public string NroAndreani {
            get {
                return this.NroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NroAndreaniField, value) != true)) {
                    this.NroAndreaniField = value;
                    this.RaisePropertyChanged("NroAndreani");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, Order=2)]
        public string CodigoCliente {
            get {
                return this.CodigoClienteField;
            }
            set {
                if ((object.ReferenceEquals(this.CodigoClienteField, value) != true)) {
                    this.CodigoClienteField = value;
                    this.RaisePropertyChanged("CodigoCliente");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Pieza", Namespace="http://www.andreani.com.ar/res")]
    [System.SerializableAttribute()]
    public partial class Pieza1 : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string NroPiezaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.Envio> EnviosField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, EmitDefaultValue=false)]
        public string NroPieza {
            get {
                return this.NroPiezaField;
            }
            set {
                if ((object.ReferenceEquals(this.NroPiezaField, value) != true)) {
                    this.NroPiezaField = value;
                    this.RaisePropertyChanged("NroPieza");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=1)]
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.Envio> Envios {
            get {
                return this.EnviosField;
            }
            set {
                if ((object.ReferenceEquals(this.EnviosField, value) != true)) {
                    this.EnviosField = value;
                    this.RaisePropertyChanged("Envios");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Envio", Namespace="http://www.andreani.com.ar/res")]
    [System.SerializableAttribute()]
    public partial class Envio : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NombreEnvioField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NroAndreaniField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime FechaAltaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.Evento> EventosField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string NombreEnvio {
            get {
                return this.NombreEnvioField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreEnvioField, value) != true)) {
                    this.NombreEnvioField = value;
                    this.RaisePropertyChanged("NombreEnvio");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string NroAndreani {
            get {
                return this.NroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NroAndreaniField, value) != true)) {
                    this.NroAndreaniField = value;
                    this.RaisePropertyChanged("NroAndreani");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public System.DateTime FechaAlta {
            get {
                return this.FechaAltaField;
            }
            set {
                if ((this.FechaAltaField.Equals(value) != true)) {
                    this.FechaAltaField = value;
                    this.RaisePropertyChanged("FechaAlta");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=3)]
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.Evento> Eventos {
            get {
                return this.EventosField;
            }
            set {
                if ((object.ReferenceEquals(this.EventosField, value) != true)) {
                    this.EventosField = value;
                    this.RaisePropertyChanged("Eventos");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Evento", Namespace="http://www.andreani.com.ar/res")]
    [System.SerializableAttribute()]
    public partial class Evento : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime FechaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string EstadoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MotivoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string SucursalField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.DateTime Fecha {
            get {
                return this.FechaField;
            }
            set {
                if ((this.FechaField.Equals(value) != true)) {
                    this.FechaField = value;
                    this.RaisePropertyChanged("Fecha");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=1)]
        public string Estado {
            get {
                return this.EstadoField;
            }
            set {
                if ((object.ReferenceEquals(this.EstadoField, value) != true)) {
                    this.EstadoField = value;
                    this.RaisePropertyChanged("Estado");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public string Motivo {
            get {
                return this.MotivoField;
            }
            set {
                if ((object.ReferenceEquals(this.MotivoField, value) != true)) {
                    this.MotivoField = value;
                    this.RaisePropertyChanged("Motivo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=3)]
        public string Sucursal {
            get {
                return this.SucursalField;
            }
            set {
                if ((object.ReferenceEquals(this.SucursalField, value) != true)) {
                    this.SucursalField = value;
                    this.RaisePropertyChanged("Sucursal");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="PiezaConsultas", Namespace="http://www.andreani.com.ar/req")]
    [System.SerializableAttribute()]
    public partial class PiezaConsultas : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string CodigoClienteField;
        
        private System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza2> PiezasField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string CodigoCliente {
            get {
                return this.CodigoClienteField;
            }
            set {
                if ((object.ReferenceEquals(this.CodigoClienteField, value) != true)) {
                    this.CodigoClienteField = value;
                    this.RaisePropertyChanged("CodigoCliente");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza2> Piezas {
            get {
                return this.PiezasField;
            }
            set {
                if ((object.ReferenceEquals(this.PiezasField, value) != true)) {
                    this.PiezasField = value;
                    this.RaisePropertyChanged("Piezas");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Pieza", Namespace="http://schemas.datacontract.org/2004/07/EAndreaniWS")]
    [System.SerializableAttribute()]
    public partial class Pieza2 : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string NroPiezaField;
        
        private string NroAndreaniField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, EmitDefaultValue=false)]
        public string NroPieza {
            get {
                return this.NroPiezaField;
            }
            set {
                if ((object.ReferenceEquals(this.NroPiezaField, value) != true)) {
                    this.NroPiezaField = value;
                    this.RaisePropertyChanged("NroPieza");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, EmitDefaultValue=false, Order=1)]
        public string NroAndreani {
            get {
                return this.NroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NroAndreaniField, value) != true)) {
                    this.NroAndreaniField = value;
                    this.RaisePropertyChanged("NroAndreani");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Respuesta", Namespace="http://www.andreani.com.ar/res")]
    [System.SerializableAttribute()]
    public partial class Respuesta : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.PiezaExitosa> PiezaExitosaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.Error> ErroresField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.PiezaExitosa> PiezaExitosa {
            get {
                return this.PiezaExitosaField;
            }
            set {
                if ((object.ReferenceEquals(this.PiezaExitosaField, value) != true)) {
                    this.PiezaExitosaField = value;
                    this.RaisePropertyChanged("PiezaExitosa");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=1)]
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.Error> Errores {
            get {
                return this.ErroresField;
            }
            set {
                if ((object.ReferenceEquals(this.ErroresField, value) != true)) {
                    this.ErroresField = value;
                    this.RaisePropertyChanged("Errores");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="PiezaExitosa", Namespace="http://schemas.datacontract.org/2004/07/EAndreaniWS")]
    [System.SerializableAttribute()]
    public partial class PiezaExitosa : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string NroPiezaField;
        
        private string NroAndreaniField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string EstadoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime FechaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MotivoField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, EmitDefaultValue=false)]
        public string NroPieza {
            get {
                return this.NroPiezaField;
            }
            set {
                if ((object.ReferenceEquals(this.NroPiezaField, value) != true)) {
                    this.NroPiezaField = value;
                    this.RaisePropertyChanged("NroPieza");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, EmitDefaultValue=false, Order=1)]
        public string NroAndreani {
            get {
                return this.NroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NroAndreaniField, value) != true)) {
                    this.NroAndreaniField = value;
                    this.RaisePropertyChanged("NroAndreani");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public string Estado {
            get {
                return this.EstadoField;
            }
            set {
                if ((object.ReferenceEquals(this.EstadoField, value) != true)) {
                    this.EstadoField = value;
                    this.RaisePropertyChanged("Estado");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=3)]
        public System.DateTime Fecha {
            get {
                return this.FechaField;
            }
            set {
                if ((this.FechaField.Equals(value) != true)) {
                    this.FechaField = value;
                    this.RaisePropertyChanged("Fecha");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=4)]
        public string Motivo {
            get {
                return this.MotivoField;
            }
            set {
                if ((object.ReferenceEquals(this.MotivoField, value) != true)) {
                    this.MotivoField = value;
                    this.RaisePropertyChanged("Motivo");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Error", Namespace="http://schemas.datacontract.org/2004/07/EAndreaniWS")]
    [System.SerializableAttribute()]
    public partial class Error : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NroPiezaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NroAndreaniField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string CodigoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string DescripcionField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string NroPieza {
            get {
                return this.NroPiezaField;
            }
            set {
                if ((object.ReferenceEquals(this.NroPiezaField, value) != true)) {
                    this.NroPiezaField = value;
                    this.RaisePropertyChanged("NroPieza");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=1)]
        public string NroAndreani {
            get {
                return this.NroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NroAndreaniField, value) != true)) {
                    this.NroAndreaniField = value;
                    this.RaisePropertyChanged("NroAndreani");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public string Codigo {
            get {
                return this.CodigoField;
            }
            set {
                if ((object.ReferenceEquals(this.CodigoField, value) != true)) {
                    this.CodigoField = value;
                    this.RaisePropertyChanged("Codigo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=3)]
        public string Descripcion {
            get {
                return this.DescripcionField;
            }
            set {
                if ((object.ReferenceEquals(this.DescripcionField, value) != true)) {
                    this.DescripcionField = value;
                    this.RaisePropertyChanged("Descripcion");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="EnviosConsultas", Namespace="http://www.andreani.com.ar/req")]
    [System.SerializableAttribute()]
    public partial class EnviosConsultas : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string CodigoClienteField;
        
        private System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.Envio1> EnviosField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public string CodigoCliente {
            get {
                return this.CodigoClienteField;
            }
            set {
                if ((object.ReferenceEquals(this.CodigoClienteField, value) != true)) {
                    this.CodigoClienteField = value;
                    this.RaisePropertyChanged("CodigoCliente");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true)]
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.Envio1> Envios {
            get {
                return this.EnviosField;
            }
            set {
                if ((object.ReferenceEquals(this.EnviosField, value) != true)) {
                    this.EnviosField = value;
                    this.RaisePropertyChanged("Envios");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Envio", Namespace="http://schemas.datacontract.org/2004/07/EAndreaniWS")]
    [System.SerializableAttribute()]
    public partial class Envio1 : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string IdentificadorClienteField;
        
        private string NumeroAndreaniField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, EmitDefaultValue=false)]
        public string IdentificadorCliente {
            get {
                return this.IdentificadorClienteField;
            }
            set {
                if ((object.ReferenceEquals(this.IdentificadorClienteField, value) != true)) {
                    this.IdentificadorClienteField = value;
                    this.RaisePropertyChanged("IdentificadorCliente");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, EmitDefaultValue=false)]
        public string NumeroAndreani {
            get {
                return this.NumeroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroAndreaniField, value) != true)) {
                    this.NumeroAndreaniField = value;
                    this.RaisePropertyChanged("NumeroAndreani");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="EnviosRespuesta", Namespace="http://www.andreani.com.ar/res")]
    [System.SerializableAttribute()]
    public partial class EnviosRespuesta : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.EnvioExitoso> EnviosExitososField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.ErrorEnvio> EnviosErroneosField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.EnvioExitoso> EnviosExitosos {
            get {
                return this.EnviosExitososField;
            }
            set {
                if ((object.ReferenceEquals(this.EnviosExitososField, value) != true)) {
                    this.EnviosExitososField = value;
                    this.RaisePropertyChanged("EnviosExitosos");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=1)]
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.ErrorEnvio> EnviosErroneos {
            get {
                return this.EnviosErroneosField;
            }
            set {
                if ((object.ReferenceEquals(this.EnviosErroneosField, value) != true)) {
                    this.EnviosErroneosField = value;
                    this.RaisePropertyChanged("EnviosErroneos");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="EnvioExitoso", Namespace="http://www.andreani.com.ar/res")]
    [System.SerializableAttribute()]
    public partial class EnvioExitoso : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string IdentificadorClienteField;
        
        private string NumeroAndreaniField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int IdEstadoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string EstadoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime FechaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int IdMotivoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MotivoField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, EmitDefaultValue=false)]
        public string IdentificadorCliente {
            get {
                return this.IdentificadorClienteField;
            }
            set {
                if ((object.ReferenceEquals(this.IdentificadorClienteField, value) != true)) {
                    this.IdentificadorClienteField = value;
                    this.RaisePropertyChanged("IdentificadorCliente");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, EmitDefaultValue=false)]
        public string NumeroAndreani {
            get {
                return this.NumeroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroAndreaniField, value) != true)) {
                    this.NumeroAndreaniField = value;
                    this.RaisePropertyChanged("NumeroAndreani");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public int IdEstado {
            get {
                return this.IdEstadoField;
            }
            set {
                if ((this.IdEstadoField.Equals(value) != true)) {
                    this.IdEstadoField = value;
                    this.RaisePropertyChanged("IdEstado");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=3)]
        public string Estado {
            get {
                return this.EstadoField;
            }
            set {
                if ((object.ReferenceEquals(this.EstadoField, value) != true)) {
                    this.EstadoField = value;
                    this.RaisePropertyChanged("Estado");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=4)]
        public System.DateTime Fecha {
            get {
                return this.FechaField;
            }
            set {
                if ((this.FechaField.Equals(value) != true)) {
                    this.FechaField = value;
                    this.RaisePropertyChanged("Fecha");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=5)]
        public int IdMotivo {
            get {
                return this.IdMotivoField;
            }
            set {
                if ((this.IdMotivoField.Equals(value) != true)) {
                    this.IdMotivoField = value;
                    this.RaisePropertyChanged("IdMotivo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=6)]
        public string Motivo {
            get {
                return this.MotivoField;
            }
            set {
                if ((object.ReferenceEquals(this.MotivoField, value) != true)) {
                    this.MotivoField = value;
                    this.RaisePropertyChanged("Motivo");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ErrorEnvio", Namespace="http://www.andreani.com.ar/res")]
    [System.SerializableAttribute()]
    public partial class ErrorEnvio : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string IdentificadorClienteField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NumeroAndreaniField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string CodigoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string DescripcionField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string IdentificadorCliente {
            get {
                return this.IdentificadorClienteField;
            }
            set {
                if ((object.ReferenceEquals(this.IdentificadorClienteField, value) != true)) {
                    this.IdentificadorClienteField = value;
                    this.RaisePropertyChanged("IdentificadorCliente");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string NumeroAndreani {
            get {
                return this.NumeroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroAndreaniField, value) != true)) {
                    this.NumeroAndreaniField = value;
                    this.RaisePropertyChanged("NumeroAndreani");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public string Codigo {
            get {
                return this.CodigoField;
            }
            set {
                if ((object.ReferenceEquals(this.CodigoField, value) != true)) {
                    this.CodigoField = value;
                    this.RaisePropertyChanged("Codigo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=3)]
        public string Descripcion {
            get {
                return this.DescripcionField;
            }
            set {
                if ((object.ReferenceEquals(this.DescripcionField, value) != true)) {
                    this.DescripcionField = value;
                    this.RaisePropertyChanged("Descripcion");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="NroPieza", Namespace="http://www.andreani.com.ar/req")]
    [System.SerializableAttribute()]
    public partial class NroPieza : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string NroPiezaMemberField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Name="NroPieza", IsRequired=true, EmitDefaultValue=false)]
        public string NroPiezaMember {
            get {
                return this.NroPiezaMemberField;
            }
            set {
                if ((object.ReferenceEquals(this.NroPiezaMemberField, value) != true)) {
                    this.NroPiezaMemberField = value;
                    this.RaisePropertyChanged("NroPiezaMember");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="RespuestaEnvio", Namespace="http://www.andreani.com.ar/res")]
    [System.SerializableAttribute()]
    public partial class RespuestaEnvio : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string NumeroEnvioField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.Envio_> EnviosField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(IsRequired=true, EmitDefaultValue=false)]
        public string NumeroEnvio {
            get {
                return this.NumeroEnvioField;
            }
            set {
                if ((object.ReferenceEquals(this.NumeroEnvioField, value) != true)) {
                    this.NumeroEnvioField = value;
                    this.RaisePropertyChanged("NumeroEnvio");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=1)]
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.Envio_> Envios {
            get {
                return this.EnviosField;
            }
            set {
                if ((object.ReferenceEquals(this.EnviosField, value) != true)) {
                    this.EnviosField = value;
                    this.RaisePropertyChanged("Envios");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Envio_", Namespace="http://www.andreani.com.ar/res")]
    [System.SerializableAttribute()]
    public partial class Envio_ : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NombreEnvioField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NroAndreaniField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime FechaAltaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.Evento_> EventosField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string NombreEnvio {
            get {
                return this.NombreEnvioField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreEnvioField, value) != true)) {
                    this.NombreEnvioField = value;
                    this.RaisePropertyChanged("NombreEnvio");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string NroAndreani {
            get {
                return this.NroAndreaniField;
            }
            set {
                if ((object.ReferenceEquals(this.NroAndreaniField, value) != true)) {
                    this.NroAndreaniField = value;
                    this.RaisePropertyChanged("NroAndreani");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public System.DateTime FechaAlta {
            get {
                return this.FechaAltaField;
            }
            set {
                if ((this.FechaAltaField.Equals(value) != true)) {
                    this.FechaAltaField = value;
                    this.RaisePropertyChanged("FechaAlta");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=3)]
        public System.Collections.Generic.List<eCommerce.Services.ANDREANI_EstadoEnviosService.Evento_> Eventos {
            get {
                return this.EventosField;
            }
            set {
                if ((object.ReferenceEquals(this.EventosField, value) != true)) {
                    this.EventosField = value;
                    this.RaisePropertyChanged("Eventos");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Evento_", Namespace="http://www.andreani.com.ar/res")]
    [System.SerializableAttribute()]
    public partial class Evento_ : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime FechaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int IdEstadoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string EstadoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int IdMotivoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MotivoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string SucursalField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.DateTime Fecha {
            get {
                return this.FechaField;
            }
            set {
                if ((this.FechaField.Equals(value) != true)) {
                    this.FechaField = value;
                    this.RaisePropertyChanged("Fecha");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int IdEstado {
            get {
                return this.IdEstadoField;
            }
            set {
                if ((this.IdEstadoField.Equals(value) != true)) {
                    this.IdEstadoField = value;
                    this.RaisePropertyChanged("IdEstado");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=2)]
        public string Estado {
            get {
                return this.EstadoField;
            }
            set {
                if ((object.ReferenceEquals(this.EstadoField, value) != true)) {
                    this.EstadoField = value;
                    this.RaisePropertyChanged("Estado");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=3)]
        public int IdMotivo {
            get {
                return this.IdMotivoField;
            }
            set {
                if ((this.IdMotivoField.Equals(value) != true)) {
                    this.IdMotivoField = value;
                    this.RaisePropertyChanged("IdMotivo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=4)]
        public string Motivo {
            get {
                return this.MotivoField;
            }
            set {
                if ((object.ReferenceEquals(this.MotivoField, value) != true)) {
                    this.MotivoField = value;
                    this.RaisePropertyChanged("Motivo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(Order=5)]
        public string Sucursal {
            get {
                return this.SucursalField;
            }
            set {
                if ((object.ReferenceEquals(this.SucursalField, value) != true)) {
                    this.SucursalField = value;
                    this.RaisePropertyChanged("Sucursal");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://www.andreani.com.ar", ConfigurationName="ANDREANI_EstadoEnviosService.IService")]
    public interface IService {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IService/ObtenerTrazabilidad", ReplyAction="http://www.andreani.com.ar/IService/ObtenerTrazabilidadResponse")]
        eCommerce.Services.ANDREANI_EstadoEnviosService.ObtenerTrazabilidadResponse ObtenerTrazabilidad(eCommerce.Services.ANDREANI_EstadoEnviosService.ObtenerTrazabilidadRequest request);
        
        // CODEGEN: Generating message contract since the operation has multiple return values.
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IService/ObtenerTrazabilidad", ReplyAction="http://www.andreani.com.ar/IService/ObtenerTrazabilidadResponse")]
        System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_EstadoEnviosService.ObtenerTrazabilidadResponse> ObtenerTrazabilidadAsync(eCommerce.Services.ANDREANI_EstadoEnviosService.ObtenerTrazabilidadRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IService/ObtenerEstadoDistribucion", ReplyAction="http://www.andreani.com.ar/IService/ObtenerEstadoDistribucionResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="Piezas")]
        eCommerce.Services.ANDREANI_EstadoEnviosService.Respuesta ObtenerEstadoDistribucion(eCommerce.Services.ANDREANI_EstadoEnviosService.PiezaConsultas Consulta);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IService/ObtenerEstadoDistribucion", ReplyAction="http://www.andreani.com.ar/IService/ObtenerEstadoDistribucionResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="Piezas")]
        System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_EstadoEnviosService.Respuesta> ObtenerEstadoDistribucionAsync(eCommerce.Services.ANDREANI_EstadoEnviosService.PiezaConsultas Consulta);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IService/ObtenerEstadoDistribucionCodificado", ReplyAction="http://www.andreani.com.ar/IService/ObtenerEstadoDistribucionCodificadoResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="Respuestas")]
        eCommerce.Services.ANDREANI_EstadoEnviosService.EnviosRespuesta ObtenerEstadoDistribucionCodificado(eCommerce.Services.ANDREANI_EstadoEnviosService.EnviosConsultas EnviosConsultas);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IService/ObtenerEstadoDistribucionCodificado", ReplyAction="http://www.andreani.com.ar/IService/ObtenerEstadoDistribucionCodificadoResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="Respuestas")]
        System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_EstadoEnviosService.EnviosRespuesta> ObtenerEstadoDistribucionCodificadoAsync(eCommerce.Services.ANDREANI_EstadoEnviosService.EnviosConsultas EnviosConsultas);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IService/ObtenerTrazabilidadSinCliente", ReplyAction="http://www.andreani.com.ar/IService/ObtenerTrazabilidadSinClienteResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="Pieza")]
        eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza1 ObtenerTrazabilidadSinCliente(eCommerce.Services.ANDREANI_EstadoEnviosService.NroPieza NroPieza);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IService/ObtenerTrazabilidadSinCliente", ReplyAction="http://www.andreani.com.ar/IService/ObtenerTrazabilidadSinClienteResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="Pieza")]
        System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza1> ObtenerTrazabilidadSinClienteAsync(eCommerce.Services.ANDREANI_EstadoEnviosService.NroPieza NroPieza);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IService/ObtenerTrazabilidadCodificado", ReplyAction="http://www.andreani.com.ar/IService/ObtenerTrazabilidadCodificadoResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="Respuesta")]
        eCommerce.Services.ANDREANI_EstadoEnviosService.RespuestaEnvio ObtenerTrazabilidadCodificado(eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza NroPieza);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IService/ObtenerTrazabilidadCodificado", ReplyAction="http://www.andreani.com.ar/IService/ObtenerTrazabilidadCodificadoResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="Respuesta")]
        System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_EstadoEnviosService.RespuestaEnvio> ObtenerTrazabilidadCodificadoAsync(eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza NroPieza);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IService/ObtenerTrazabilidadSinClienteCodificado", ReplyAction="http://www.andreani.com.ar/IService/ObtenerTrazabilidadSinClienteCodificadoRespon" +
            "se")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="RespuestaEnvio")]
        eCommerce.Services.ANDREANI_EstadoEnviosService.RespuestaEnvio ObtenerTrazabilidadSinClienteCodificado(eCommerce.Services.ANDREANI_EstadoEnviosService.NroPieza NroPieza);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://www.andreani.com.ar/IService/ObtenerTrazabilidadSinClienteCodificado", ReplyAction="http://www.andreani.com.ar/IService/ObtenerTrazabilidadSinClienteCodificadoRespon" +
            "se")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="RespuestaEnvio")]
        System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_EstadoEnviosService.RespuestaEnvio> ObtenerTrazabilidadSinClienteCodificadoAsync(eCommerce.Services.ANDREANI_EstadoEnviosService.NroPieza NroPieza);
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.MessageContractAttribute(WrapperName="ObtenerTrazabilidad", WrapperNamespace="http://www.andreani.com.ar", IsWrapped=true)]
    public partial class ObtenerTrazabilidadRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://www.andreani.com.ar", Order=0)]
        public eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza Pieza;
        
        public ObtenerTrazabilidadRequest() {
        }
        
        public ObtenerTrazabilidadRequest(eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza Pieza) {
            this.Pieza = Pieza;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.MessageContractAttribute(WrapperName="ObtenerTrazabilidadResponse", WrapperNamespace="http://www.andreani.com.ar", IsWrapped=true)]
    public partial class ObtenerTrazabilidadResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://www.andreani.com.ar", Order=0)]
        public eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza1 Pieza;
        
        public ObtenerTrazabilidadResponse() {
        }
        
        public ObtenerTrazabilidadResponse(eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza1 Pieza) {
            this.Pieza = Pieza;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IServiceChannel : eCommerce.Services.ANDREANI_EstadoEnviosService.IService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ServiceClient : System.ServiceModel.ClientBase<eCommerce.Services.ANDREANI_EstadoEnviosService.IService>, eCommerce.Services.ANDREANI_EstadoEnviosService.IService {
        
        public ServiceClient() {
        }
        
        public ServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        eCommerce.Services.ANDREANI_EstadoEnviosService.ObtenerTrazabilidadResponse eCommerce.Services.ANDREANI_EstadoEnviosService.IService.ObtenerTrazabilidad(eCommerce.Services.ANDREANI_EstadoEnviosService.ObtenerTrazabilidadRequest request) {
            return base.Channel.ObtenerTrazabilidad(request);
        }
        
        public eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza1 ObtenerTrazabilidad(eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza Pieza) {
            eCommerce.Services.ANDREANI_EstadoEnviosService.ObtenerTrazabilidadRequest inValue = new eCommerce.Services.ANDREANI_EstadoEnviosService.ObtenerTrazabilidadRequest();
            inValue.Pieza = Pieza;
            eCommerce.Services.ANDREANI_EstadoEnviosService.ObtenerTrazabilidadResponse retVal = ((eCommerce.Services.ANDREANI_EstadoEnviosService.IService)(this)).ObtenerTrazabilidad(inValue);
            return retVal.Pieza;
        }
        
        public System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_EstadoEnviosService.ObtenerTrazabilidadResponse> ObtenerTrazabilidadAsync(eCommerce.Services.ANDREANI_EstadoEnviosService.ObtenerTrazabilidadRequest request) {
            return base.Channel.ObtenerTrazabilidadAsync(request);
        }
        
        public eCommerce.Services.ANDREANI_EstadoEnviosService.Respuesta ObtenerEstadoDistribucion(eCommerce.Services.ANDREANI_EstadoEnviosService.PiezaConsultas Consulta) {
            return base.Channel.ObtenerEstadoDistribucion(Consulta);
        }
        
        public System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_EstadoEnviosService.Respuesta> ObtenerEstadoDistribucionAsync(eCommerce.Services.ANDREANI_EstadoEnviosService.PiezaConsultas Consulta) {
            return base.Channel.ObtenerEstadoDistribucionAsync(Consulta);
        }
        
        public eCommerce.Services.ANDREANI_EstadoEnviosService.EnviosRespuesta ObtenerEstadoDistribucionCodificado(eCommerce.Services.ANDREANI_EstadoEnviosService.EnviosConsultas EnviosConsultas) {
            return base.Channel.ObtenerEstadoDistribucionCodificado(EnviosConsultas);
        }
        
        public System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_EstadoEnviosService.EnviosRespuesta> ObtenerEstadoDistribucionCodificadoAsync(eCommerce.Services.ANDREANI_EstadoEnviosService.EnviosConsultas EnviosConsultas) {
            return base.Channel.ObtenerEstadoDistribucionCodificadoAsync(EnviosConsultas);
        }
        
        public eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza1 ObtenerTrazabilidadSinCliente(eCommerce.Services.ANDREANI_EstadoEnviosService.NroPieza NroPieza) {
            return base.Channel.ObtenerTrazabilidadSinCliente(NroPieza);
        }
        
        public System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza1> ObtenerTrazabilidadSinClienteAsync(eCommerce.Services.ANDREANI_EstadoEnviosService.NroPieza NroPieza) {
            return base.Channel.ObtenerTrazabilidadSinClienteAsync(NroPieza);
        }
        
        public eCommerce.Services.ANDREANI_EstadoEnviosService.RespuestaEnvio ObtenerTrazabilidadCodificado(eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza NroPieza) {
            return base.Channel.ObtenerTrazabilidadCodificado(NroPieza);
        }
        
        public System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_EstadoEnviosService.RespuestaEnvio> ObtenerTrazabilidadCodificadoAsync(eCommerce.Services.ANDREANI_EstadoEnviosService.Pieza NroPieza) {
            return base.Channel.ObtenerTrazabilidadCodificadoAsync(NroPieza);
        }
        
        public eCommerce.Services.ANDREANI_EstadoEnviosService.RespuestaEnvio ObtenerTrazabilidadSinClienteCodificado(eCommerce.Services.ANDREANI_EstadoEnviosService.NroPieza NroPieza) {
            return base.Channel.ObtenerTrazabilidadSinClienteCodificado(NroPieza);
        }
        
        public System.Threading.Tasks.Task<eCommerce.Services.ANDREANI_EstadoEnviosService.RespuestaEnvio> ObtenerTrazabilidadSinClienteCodificadoAsync(eCommerce.Services.ANDREANI_EstadoEnviosService.NroPieza NroPieza) {
            return base.Channel.ObtenerTrazabilidadSinClienteCodificadoAsync(NroPieza);
        }
    }
}
